Subject: Re: Profiling support?

From: David Kastrup <[email-masked]>
Date: Tue, 11 Feb 2014 16:19:55 +0100

John Keeping <[email-masked]> writes:

> On Tue, Feb 11, 2014 at 03:41:55PM +0100, David Kastrup wrote:
>> Duy Nguyen <[email-masked]> writes:
>>
>> > Would perf help? No changes required, and almost no overhead, I think.
>> 
>> Not useful.  It would be probably nice for nailing down the performance
>> gains when the work is finished so that future regressions will be
>> noticeable.  It's reasonable easy to create a test case that will take
>> hours with the current git-blame and would finish in seconds with the
>> improved one.
>> 
>> But it's not useful at all for figuring out the hotspots within the
>> git-blame binary.
>
> I would have thought the annotation described at [1] is exactly what
> you're looking for, isn't it?
>
> Alternatively, I've had some success with callgrind and kCachegrind in
> the past.
>
> [1]
> https://perf.wiki.kernel.org/index.php/Tutorial#Source_level_analysis_with_perf_annotate

Misunderstanding on my part.  I thought this was about the "make perf"
Makefile target.  I'll have to take a look at what the perf utility
does.

Thanks for the clarification.

-- 
David Kastrup